LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

Cannot find NI-DAQmx in LabVIEW

Solved!
Go to solution

Hi,

 

I have LabVIEW 2017 and have installed NI-DAQmx 20.7. NI MAX is running correctly. 

 

But I cant find NI-DAQmx under 'Hardware Input and Output' in 'Find examples'. It is not there under Measurement I/O in LabVIEW as well. Also, under installed in NI Package Manager, there is no 'NI-DAQmx - support for LabVIEW 2017'(It is a little different).

 

I have attached the NI-DAQmx installed files. Could you tell me what might be the issue?

 

Ram8_1-1700826313598.png

 

Thanks,

Nanda.

 

0 Kudos
Message 1 of 4
(731 Views)

Hi ram,

 


@Ram8 wrote:

I have LabVIEW 2017 and have installed NI-DAQmx 20.7. NI MAX is running correctly. 


Maybe you need to install a DAQmx version compatible with your LabVIEW version?

(You did install DAQmx after LabVIEW, did you?)

Best regards,
GerdW


using LV2016/2019/2021 on Win10/11+cRIO, TestStand2016/2019
0 Kudos
Message 2 of 4
(710 Views)

Hi GerdW,

 

Yes, I did check the compatibility and 20.7 is the highest version that is compatible with 2017 Labview(all versions above it are not compatible).

 

Yes, I also downloaded LabVIEW first, like 2 or 3 weeks before and installed NI-DAQmx yesterday. 

 

Regards,

Ram.

0 Kudos
Message 3 of 4
(683 Views)
Solution
Accepted by topic author Ram8

Check if the NI-DAQmx Support for LabVIEW package is installed.

If it is not, install it via the PACKAGES tab.

 

ZYOng_0-1700850958561.png

 

-------------------------------------------------------
Control Lead | Intelline Inc
Message 4 of 4
(665 Views)